
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用C#实现网站用户登录 / iVAN</title>

    <meta name="description" content="使用C#实现网站用户登录 我们在写灌水机器人.抓资源机器人和Web网游辅助工具的时候第一步要实现的就是用户 登录.那么怎么用C#来模拟一个用户的登录拉?要实现用户的登录,那么首先就必须要了解 一般网站中是怎么判断用户是否登录的. HTTP协议是一个无连接的协议,也就是说这 次对话的内容和状态与上次的无关,为了实现和用户的持久交互,网站与浏览器之前在刚建 立会话时将在服务器内存中建立一个Session,该Session标识了该用户(浏览器),每一个 Session都有一个唯一的ID,第一次建立会话时服务器将生成的这个ID传">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用C#实现网站用户登录</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们在写灌水机器人、抓资源机器人和Web网游辅助工具的时候第一步要实现的就是用户 登录。那么怎么用C#来模拟一个用户的登录拉？要实现用户的登录，那么首先就必须要了解 一般网站中是怎么判断用户是否登录的。</p>
<p>HTTP协议是一个无连接的协议，也就是说这 次对话的内容和状态与上次的无关，为了实现和用户的持久交互，网站与浏览器之前在刚建 立会话时将在服务器内存中建立一个Session，该Session标识了该用户（浏览器），每一个 Session都有一个唯一的ID，第一次建立会话时服务器将生成的这个ID传给浏览器，浏览器在 接下来的浏览中每一个发向服务器的请求中都将包含该SessionID，从而标识了自己的身份。</p>
<p>服务器上是使用内存来保存Session中的信息，那么浏览器又使用什么来保存服务器 分配的这个SessionID了？对，是Cookie。在刚建立会话时浏览器向服务器的请求中将不包含 SessionID在Cookie中，服务器就认为是一个全新的会话，从而在服务器上分配一段内存给该 Session用，同时将该Session的ID在Http Header中使用Set-Cookie发送给浏览器。</p>
<p>现在原理已经搞清楚了，那么我们就来实现一个网站的登录嘛，这里就以盛大纵横天下的登 录为例。</p>
<p>要写这种面向协议的网络程序，抓包工具是少不了的，我们首先是要使用抓 包工具分析在普通浏览器中登录时发送和接收的内容才好进一步使用C#来模拟浏览器发包。 抓包工具很多，看个人爱好吧，我主要用的是HTTP Analyzer，专门针对HTTP的，太强的抓包 工具把什么协议的包都抓出来反而不利于我们分析。</p>
<p>1.最好能清除IE的所有Cookie记 录，以免对抓包分析造成影响，然后开启抓包程序。</p>
<p>2.在IE中输入 http://zh.sdo.com/web1.0/home/fastlogin.asp 这个快速登录地址，我们将看到已经抓到 了很多请求和响应的包。</p>
<p>3.输入用户名和密码，点击登录，IE中正常登录，停止抓包 ，我们要的所有信息都被抓取好了。如图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMFI0NDkzMVQtMC5wbmc=.jpg"></p>
<p>4.盛大的 登录机制还是属于比较复杂的，中间涉及到好几个服务器，经过分析得知（这个就是一个比 较漫长的过程了，具体网站具体分析，这个分析过程我就不写了）纵横天下的登录机制为：</p>
<p>1）IE请求https://cas.sdo.com:80/cas/login? service=http://zh.sdo.com/web1.0/home/index.asp页面，该页面给IE一个SessionID，比 如Set-Cookie: ASP.NET_SessionId=avcbse55l5e03suqi4dx3555; path=/</p>
<p>2）IE同时 在该HTTP的正文中得到一个ticket,这个ticket将在登录中有用，当然其他网站肯定不是这样 做的，这里分析的是纵横天下的。location.href　　=　　 http://www.sdo.com/login2.asp?lt=sd-1420e593-d2cf-4c9c-b249-07fe27932a21-2008-05 -06_01%3a25%3a41.484&amp;service=http%3a%2f%2fzh.sdo.com%2fweb1.0%2fhome% 2ffastlogin.asp%3ftest%3d1; 这里lt参数就是我说的ticket了。</p>
<p>3）将获得的lt、 用户名、密码还有一些其他的无关紧要的参数都Post到 https://cas.sdo.com:80/cas/Login.PostTarget.aspx? service=http://zh.sdo.com/web1.0/home/fastlogin_after.asp 中，具体抓到的Post的数 据如： warn=false&amp;_eventId=submit&amp;idtype=0&amp;gamearea=0&amp;gametype=0&amp;cha llenge=3623&amp;lt=sd-1420e593-d2cf-4c9c-b249-07fe27932a21-2008-05-06_01%3A25% 3A41.484&amp;username=studyzy&amp;password=1234&amp;ekey=&amp;challenge=3623，这 里我们就只关心lt,username,password这三个参数。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 11:07:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e7%99%bb%e5%bd%95/" title="登录">登录</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%9e%90/" title="分析">分析</a>, <a href="https://www.iamivan.net/tag/c-%e7%9a%84session%e9%97%ae%e9%a2%98/" title="c&num;的session问题">c&num;的session问题</a>, <a href="https://www.iamivan.net/tag/%e6%8a%93%e5%8c%85/" title="抓包">抓包</a>, <a href="https://www.iamivan.net/tag/%e8%b7%b3%e8%bd%accas%e6%98%be%e7%a4%baie/" title="跳转cas显示ie">跳转cas显示ie</a>, <a href="https://www.iamivan.net/tag/cas-http-%e8%af%b7%e6%b1%82%e6%8e%a5%e5%8f%a3/" title="cas http 请求接口">cas http 请求接口</a>, <a href="https://www.iamivan.net/tag/%e6%8a%93%e5%8c%85%e6%8a%80%e6%9c%af/" title="抓包技术">抓包技术</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e7%bd%aecookie%e6%8a%93%e5%8c%85/" title="设置cookie抓包">设置cookie抓包</a>, <a href="https://www.iamivan.net/tag/http%e6%8a%93%e5%8c%85%e5%88%86%e6%9e%90%e5%b7%a5%e5%85%b7/" title="http抓包分析工具">http抓包分析工具</a>, <a href="https://www.iamivan.net/tag/cas%e9%9b%86%e4%b8%ad%e7%99%bb%e5%bd%95%e9%a1%b5%e9%9d%a2/" title="cas集中登录页面">cas集中登录页面</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用C#实现网站用户登录的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeoXQNM.html" rel="bookmark">网站建设问题-网站用户登录，重试&sol;耗时。请问各位大神刚怎么解决。有赏解决。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 网站用户登录,重试/耗时.请问各位大神刚怎么解决.有赏解决. 网站前台用户登录的时候,一直线显示&quot;第N次重试,登录耗时NN秒&quot;账号密码确定无错,就这样,就算重试1000遍+还登录不进去.又不显示错误,请哪位高手能帮忙解决一下!!大谢!! 要看代码解决的大神留下QQ或者加我QQ:296324087 另外我查了一下,貌似有人说问题出在验证码这边,可能是代码中的&quot;Session(&quot;GetCode&quot;) = mCode.Create() ' 将验证码存到S			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZZJ4z.html" rel="bookmark">网站用户体验：怎么样的登录框才是优秀的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				登录框存在已久,对于用户来说是必定每天接触,对于设计师来说也是一个墨守陈规的控件,两个框加个按键,如果猛然抓个设计师问「你觉得登录框还有哪些可以改进的点」,得到的回答应该是长时间的沉默,当然也包括我.「宁可一思进,莫在一思停」,这是一代宗师里的拳理,同样也是做人做事的道理,思进方可有所为,一思一念间高下已分,体现在互联网应用及服务应该就更为深刻了. 扯回主题,解决以下任何一个问题的登录框都是我所认为的优秀登录框(个人认为的优秀登录样式,参考长文最后部分): 1. 输入效率问题,现阶段大多数用户登			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkGLdb.html" rel="bookmark">请教关注企业公众号以后自动登录网站用户中心问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请教关注企业公众号以后自动登录网站用户中心问题 1,现在用户只要关注企业公众号以后,自动生成随机用户名密码.并且可以通过底部菜单链接进入用户中心. 2,现在的问题是,过了几个小时以后,再从微信公众平台底部菜单点击用户中心,这个时候提示需要登录,页面自动跳转到登录界面(原则上还是自动登录才对) 3,当我关闭网页,到微信公众平台再次点击用户中心,又可以自动登录了 4,排查,第一次点击用户中心,发现可以获取code. 但是获取不到openid.返回错误提示errcode=&gt;40029:err			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NNDWz.html" rel="bookmark">求教大神：网站发布后，一旦用户登录，网页上方就出现空白</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 各位大牛,我用VISUALSTUDIOPROFESSIONAL2010做了个简单的网站,www.okviews.com,发布后遇到的最大的问题是,在CHROME,FIREFOX,SAFARIc测试都没问题,但在IE11一旦用户登录,网页上方就出现了空白区,我查看了一下,可能是出现了个:&lt;divid=&quot;PasswordManager_ContainerID&quot;style=&quot;left:0px;top:0px;width:100%;height:48px;displa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7gWWz.html" rel="bookmark">PayPal英国网站出现故障 用户登录后显示服务器错误信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				北京时间6月24日下午消息,据国外媒体报道,eBay旗下网络交易系统PayPal英国网站目前出现故障,尽管首页可以打开,但用户登录后显示服务器错误信息. 据悉,用户登录后会出现如下报错页面&quot;内部服务器错误:服务器遭遇内部错误或错误设置,不能完成您的请求.请与服务器管理员联系,邮件地址为webmaster@paypal.com,请告知他们错误出现时间,以及所有可能导致出错的操作.有关错误的更多信息请参考服务器错误目录.&quot; (志伟)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmKG3M.html" rel="bookmark">用户登录-网站的用户系统怎么做，具体逻辑怎么做，能否给个教程？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 网站的用户系统怎么做,具体逻辑怎么做,能否给个教程? 我是坐web前端的,要做一个用户系统,但根本没头绪. 1.首先是用户登录,新用户提交注册信息,注册成功,然后页面就跳转到用户已登录状态的页面. 2.用户登录后,每个打开的页面都是用户已登录状态,这又是怎么做成了? 3.这个用户系统是跟后台更相关,还是跟前端更相关呢? 解决方案 网站用户管理系统http://wenku.baidu.com/link?url=dYF6Qrz008WMdneou9iTNg86Kf9INex-0A474Ui			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEY3Q9b.html" rel="bookmark">用户登录，跳转另一网站，怎么自动登录另一网站，已知用户名和密码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 对接用户登录,跳转另一网站,怎么自动登录另一网站,已知用户名和密码 解决方案 解决方案二:http://bbs.csdn.net/topics/340186967解决方案三:我想要对接别的网站,我知道了用户名和密码然后直接从我网站登录到别的网站解决方案四:看对方网站登陆页面的要求PSOT或者GET提交用户名和密码解决方案五:引用3楼caoqinghua的回复: 看对方网站登陆页面的要求PSOT或者GET提交用户名和密码 正解解决方案六:引用4楼liqz2009的回复: Quote: 引			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdB5y2b.html" rel="bookmark">用户登录我的网站，如何让webIM在页面自动登录？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 用户登录我的网站,如何让webIM在页面自动登录,必须把用户id和密码发到前端页面,然后再用js调用登录? 解决方案 首先登陆你的网站,然后在登陆环信,这个可以同步登陆的,登陆网址之后再登陆你为用户注册的环信id,不让用户感知就行解决方案二:用户token跟管理token不一样,获取用户tokenprivate $app_key = 'xxxxx#ddddd';    private $client_id = 'ccccccccc';    private $client_secret			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLYkzd.html" rel="bookmark">拒绝平庸：浅谈用户登录页面的设计表现形式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用户活跃度是检验产品成功与否的重要指标之一,传统行业的商家极为重视门面的装潢,因为一个好的门面可以聚集人气,招揽更多的顾客.古时候的大户人家院子门口的石狮子或其他的摆件的摆放极为讲究,有一定的风水学说道理,更能彰显主人家的身份地位.由此可见,&quot;门面'就如人的脸面之于人的形象一样重要,而WEB的登录页面就相当传统的&quot;门面&quot;. 现在越来越多的大型网站把登录和首页放在一起设计,由此可见登录页面的重要性,一个出彩的登录界面,将提升产品的品质,赋予产品独特的气质,登录界面也是一个发挥情			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAXXeb.html" rel="bookmark" class="title">PHP中实现面向对象编程（上）</a>
					<div>
						编程|对象 这篇文章介绍在PHP的面向对象编程(OOP).我将演示如何用面向对象的概念编出较少的代码但更好的程序.祝大家好运. 面向对象编程的概念对每一个作者来说都有不同的看法,我提醒一下一个面向对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b26jkb.html" rel="bookmark" class="title">几个实用的css技巧</a>
					<div>
						这里有几个实用的css技巧,或许对您有所帮助. 使用 line-height 垂直居中 line-height:24px; 使用固定宽度的容器并且需要一行垂直居中时,使用 line-height 即可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnQRAM.html" rel="bookmark" class="title">思妙FLASH MX 2004视频教程&lpar;1&rpar;－建立画布</a>
					<div>
						教程|视频教程 思妙动画剧情幽默,制作精美,在网络中广为流传.现在思妙推出的Flash MX 2004系列教程,更以其惯长之幽默手法,用通俗语言为我们讲解了FLASH动画的入门知识. 第一课:建立画布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm77Wlb.html" rel="bookmark" class="title">WPF and Silverlight学习笔记（二十八）：基本图形的使用（3）图形的操作</a>
					<div>
						接上一篇文章,在WPF中对图形进行操作,上一篇文章中使用了ImageSource (BitmapSource)中的两种: 1.使用BitmapImage加载图片2.使用 RenderTargetBit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPW50z.html" rel="bookmark" class="title">VistaTweaker最新V&period;05版比优化大师强</a>
					<div>
						近日,vistaTweaker在其官方主页是上更新发布了最新的V0.5版.这是一款由外国网友制作发布的软件,完全针对Windows Vista系统的设置调整.优化与管理的系统增强类软件. VistaT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEd8mb.html" rel="bookmark" class="title">ASP&period;NET 2&period;0数据教程之七十&colon;为DataTable添加额外的列</a>
					<div>
						返回&quot;ASP.NET 2.0数据教程目录&quot; 导言: 当向类型化的数据集(Typed DataSet)添加一个TableAdapter时 ,相应的DataTable的构架已经由Tab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjPavp.html" rel="bookmark" class="title">Eclipse插件管理小结</a>
					<div>
						可以简单地把plugin放到eclipse SDK本身的features和plugins目录下来进行plugin的安装,但是这种方法并不利于plugin的管理: 虽然可以通过eclipse SDK的u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AG6mp.html" rel="bookmark" class="title">注入爆破字段写法</a>
					<div>
						  //---------------爆破字段--------------- 要非别爆破别的字段名只要换 第2个 top 的值就可以了 Feihacker' union select top 1 ta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Eq8kM.html" rel="bookmark" class="title">Win7硬盘安装教程</a>
					<div>
						  为了大家在装win7系统的时候更加快捷高效,系统之家小编在这里和大家分享一些硬盘安装win7系统的方法: 一.windows 7系统下全新安装高版Windows7: 1.下载windows7 70 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3LQZM.html" rel="bookmark" class="title">Win7 64位和32位有什么区别</a>
					<div>
						  第一,设计初衷不同.64位操作系统的设计初衷是为了满足机械设计和分析.三维动画.视频编辑和创作,以及科学计算和高性能计算应用程序等领域中需要大量内存和浮点性能的客户需求. 第二,要求配置不同.64 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EgovM.html" rel="bookmark" class="title">U盘容量变小的恢复办法</a>
					<div>
						  U盘从4G/8G/16G变成101M了,相信许多朋友有遇到这种情况,如果你的U盘也莫名其妙的变小了,不要慌张,这是因为你的U盘误格了.碰到这种情况我们可以使用一般的U盘低格工具进行处理,只要插入读 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8j9Ob.html" rel="bookmark" class="title">U盘文件不多却提示没有剩余空间如何解决</a>
					<div>
						  1.可能是u盘中病毒了 这种情况下,中病毒的可能性是非常高,所以首先Ghost win7系统用户要检查自己U盘设备安全问题,看看有没有病毒文件隐藏在其中,如果有的话,及时删除这些病毒文件,如果不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmWmNz.html" rel="bookmark" class="title">gw-linux 下的sofap 不能上网这是什么原因啊</a>
					<div>
						问题描述 linux 下的sofap 不能上网这是什么原因啊 使用realtek(rtl8192cu)无线网卡在linux嵌入式开发板上做热点,启动热点后不能上网. hostapd.udhcpd都可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3vOEz.html" rel="bookmark" class="title">求代码，复制一个文件夹到指定路径文件夹。在线等答案哦。谢谢啦</a>
					<div>
						问题描述 请求帮忙哈,本人菜鸟.现在需要一个帮忙,写一个小程序,像执行文件一样的exe,点击能自动运行.程序实现功能是复制文件夹文件名A01或者以B开头的文件到指定路径D:pic下. 解决方案 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWDLBp.html" rel="bookmark" class="title">基于OSS搭建跨区域部署的分布式Docker镜像仓库</a>
					<div>
						基于OSS搭建跨区域部署的分布式Docker镜像仓库 Docker镜像是Docker的核心价值之一,Docker镜像仓库(Registry)是用于Docker镜像的管理和分发的基础设施.现在已经有了D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3xxlz.html" rel="bookmark" class="title">sqlite3-Android-加密解密应用数据库</a>
					<div>
						问题描述 Android-加密解密应用数据库 怎么样确保数据库文件使用加密算法后不会被修改. 我用了硬编码关键字再反编译,但是还是可以访问.如果root设备用户就能随便阅读了. 怎么能让用户无法访问和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ3gVp.html" rel="bookmark" class="title">Cocos2D iOS之旅&colon;如何写一个敲地鼠游戏&lpar;八&rpar;&colon;为动画建立属性列表</a>
					<div>
						大熊猫猪·侯佩原创或翻译作品.欢迎转载,转载请注明出处. 如果觉得写的不好请告诉我,如果觉得不错请多多支持点赞.谢谢! hopy ;) 免责申明:本博客提供的所有翻译文章原稿均来自互联网,仅供学习交流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRx7Xb.html" rel="bookmark" class="title">《OpenGL编程指南》一2&period;3　OpenGL着色语言概述</a>
					<div>
						2.3 OpenGL着色语言概述 本节将会对OpenGL中着色语言的使用进行一个概述.GLSL具备了C++和Java的很多特性,它也被OpenGL所有阶段中使用的着色器所支持,尽管不同类型的着色器也会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY4kPp.html" rel="bookmark" class="title">浏览器禁止JS ，怎么提交表单</a>
					<div>
						问题描述 如题 解决方案 &lt;form name=&quot;xxx&quot; action=&quot;提交后的目标路径&quot;&gt;......&lt;input type=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNwWxM.html" rel="bookmark" class="title">个人预测UI扁平化在未来走向</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 另外,在我看来,系统UI的平面化就好像电视屏幕是方的所以电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNZkkM.html" rel="bookmark" class="title">请求高手指点</a>
					<div>
						问题描述 &quot;/WebSite1&quot;应用程序中的服务器错误.-------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOjj6b.html" rel="bookmark" class="title">MSN中国区刘振宇：懂得拿捏分寸的平衡者</a>
					<div>
						从摩托罗拉到微软MSN,刘振宇笑称自己最大的收获就是学会如何去把握尺度.刘振宇 &quot;过去有一段时间,MSN的表现不稳定,使用起来也不方便?&quot; &quot;现在,我们的问题已经解决了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO1mwb.html" rel="bookmark" class="title">Centos6&period;3下VNC服务安装、配置与使用方法介绍</a>
					<div>
						**前言** Linux下常用的两个远程管理工具,一个是基于CLI(命令行模式)的SSH,另一个是基于GUI(图形用户界面模式)的VNC **远程管理的基本概念** 对于我们使用的计算机来说,如果是个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlmE0p.html" rel="bookmark" class="title">JAVA实现简单系统登陆注册模块&lowbar;java</a>
					<div>
						前期准备 首先要先明确有个大体的思路,要实现什么样的功能,了解完成整个模块要运用到哪些方面的知识,以及从做的过程中去发现自己的不足.技术方面的进步大都都需要从实践中出来的.功能:用户注册功能+系统登录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWRw5p.html" rel="bookmark" class="title">ChinaPay ReturnURL</a>
					<div>
						问题描述 在ChinaPay中退款状态接受URL,ChinaPay并没有访问我的页面,我用的是退款测试地址,但接受应答的页面在服务器上,貌似ChinaPay并没有访问我的页面,有人遇到过这个问题吗?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4O6kb.html" rel="bookmark" class="title">80后的大学生与横走网</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在迈向了互联网80后横行时代,对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPW2Bp.html" rel="bookmark" class="title">C&num;中使用SendMessage在进程间传递数据的实例</a>
					<div>
						原文:C#中使用SendMessage在进程间传递数据的实例 1 新建解决方案SendMessageExample 在解决方案下面新建三个项目:CopyDataStruct,Receiver和Send ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKgNPz.html" rel="bookmark" class="title">外资风投争相下注民办教育政策已有松动迹象</a>
					<div>
						每年临近岁末,各路资本都会齐集杭州,寻找民办教育的投资机会. 11月30日,第五届民办教育投融资项目洽谈会(下称&quot;民投会&quot;)如期举办,这是一个资本与民办教育嫁接的平台,一年搭建一次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOdmVb.html" rel="bookmark" class="title">C&num; 删除数组中重复元素实例</a>
					<div>
						例1  代码如下 复制代码 string[] stringArray = { &quot;aaa&quot;, &quot;bbb&quot;, &quot;aaa&quot;, &quot;ccc& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG38a3z.html" rel="bookmark" class="title">携程再遭垄断指责：一场&OpenCurlyDoubleQuote;误会&rdquo;引发的封杀</a>
					<div>
						继格林豪泰之后,又一家企业将矛头公开指向了携程.作为上海世博会唯一的订房业务承办方,汇通天下指责携程&quot;干扰&quot;了世博会酒店业的价格体系.此时,距离2010年上海世博会召开已不足一个月 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
